Subject: How to echo out shell var inside make in B20
From: [email-masked] (Truong, Ton H)

21 Jan 1999 20:48:14 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/alternative;
	boundary="----_=_NextPart_001_01BE4577.B18612F2"
To: "[email-masked]'" <[email-masked]>
Cc: "'Takaaki Hiramatsu'" <[email-masked]>,
        "Truong, Ton H"
	 <[email-masked]>

This message is in MIME format. Since your mail reader does not understand
this format, some or all of this message may not be legible.

------_=_NextPart_001_01BE4577.B18612F2
Content-Type: text/plain;
	charset="iso-8859-1"

I just downloaded the B20.1 version and run into this problem which we did
not have using B18.

Our makefile defines this variable
LIB=ttdr

Say I have this target:
unittestdebug:
     echo $$LIB

With the double dollar sign, I would expect the echo command to echo out the
VC++ LIB environment variable (c:/msdev/VC/lib; etc...), but it echoes out
the value "ttdr" - the Makefile variable instead.

Does anyone have a workaround for it?

Please respond to me, as I am not a subscriber to the list.

//Ton Truong

------_=_NextPart_001_01BE4577.B18612F2
Content-Type: text/html;
	charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV=3D"Content-Type" CONTENT=3D"text/html; =
charset=3Diso-8859-1">
<META NAME=3D"Generator" CONTENT=3D"MS Exchange Server version =
5.5.2232.0">
<TITLE>How to echo out shell var inside make in B20</TITLE>
</HEAD>
<BODY>

<P><FONT SIZE=3D2>I just downloaded the B20.1 version and run into this =
problem which we did not have using B18.</FONT>
</P>

<P><FONT SIZE=3D2>Our makefile defines this variable</FONT>
<BR><FONT SIZE=3D2>LIB=3Dttdr</FONT>
</P>

<P><FONT SIZE=3D2>Say I have this target:</FONT>
<BR><FONT SIZE=3D2>unittestdebug:</FONT>
<BR><FONT SIZE=3D2>&nbsp;&nbsp;&nbsp;&nbsp; echo $$LIB</FONT>
</P>

<P><FONT SIZE=3D2>With the double dollar sign, I would expect the echo =
command to echo out the VC++ LIB environment variable (c:/msdev/VC/lib; =
etc...), but it echoes out the value &quot;ttdr&quot; - the Makefile =
variable instead.</FONT></P>

<P><FONT SIZE=3D2>Does anyone have a workaround for it?</FONT>
</P>

<P><FONT SIZE=3D2>Please respond to me, as I am not a subscriber to the =
list.</FONT>
</P>

<P><FONT SIZE=3D2>//Ton Truong</FONT>
</P>

</BODY>
</HTML>
------_=_NextPart_001_01BE4577.B18612F2--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".